TestSetEvent

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.gui.beans
Class TestSetEvent

    java.lang.Object
      java.util.EventObject
          weka.gui.beans.TestSetEvent

All Implemented Interfaces:
  java.io.Serializable

    public class TestSetEvent

extends java.util.EventObject

Event encapsulating a test set

Version:
  $Revision: 4761 $
Author:
  Mark Hall
See Also:
  Serialized Form

Constructor Summary
`TestSetEvent(java.lang.Object source, Instances testSet)` Creates a new `TestSetEvent`
`TestSetEvent(java.lang.Object source, Instances testSet, int setNum, int maxSetNum)` Creates a new `TestSetEvent`
`TestSetEvent(java.lang.Object source, Instances testSet, int runNum, int maxRunNum, int setNum, int maxSetNum)` Creates a new `TestSetEvent`

Method Summary
`int` | `getMaxRunNumber()` Get the maximum number of runs.
`int` | `getMaxSetNumber()` Get the maximum set number
`int` | `getRunNumber()` Get the run number that this training set belongs to.
`int` | `getSetNumber()` Get the test set number (eg.
`Instances` | `getTestSet()` Get the test set instances
`boolean` | `isStructureOnly()` Returns true if the encapsulated instances contain just header information

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestSetEvent

    public TestSetEvent(java.lang.Object source,
                        Instances testSet)

  Creates a new `TestSetEvent`

  Parameters:
    `source` - the source of the event
    `testSet` - the test instances

### TestSetEvent

    public TestSetEvent(java.lang.Object source,
                        Instances testSet,
                        int setNum,
                        int maxSetNum)

  Creates a new `TestSetEvent`

  Parameters:
    `source` - the source of the event
    `testSet` - the test instances
    `setNum` - the number of the test set
    `maxSetNum` - the maximum number of sets

### TestSetEvent

    public TestSetEvent(java.lang.Object source,
                        Instances testSet,
                        int runNum,
                        int maxRunNum,
                        int setNum,
                        int maxSetNum)

  Creates a new `TestSetEvent`

  Parameters:
    `source` - the source of the event
    `testSet` - the test instances
    `runNum` - the run number that the test set belongs to
    `maxRunNum` - the maximum run number
    `setNum` - the number of the test set
    `maxSetNum` - the maximum number of sets

Method Detail

### getTestSet

    public Instances getTestSet()

  Get the test set instances

  Returns:
    an `Instances` value

### getRunNumber

    public int getRunNumber()

  Get the run number that this training set belongs to.

  Returns:
    the run number for this training set.

### getMaxRunNumber

    public int getMaxRunNumber()

  Get the maximum number of runs.

  Returns:
    return the maximum number of runs.

### getSetNumber

    public int getSetNumber()

  Get the test set number (eg. fold 2 of a 10 fold split)

  Returns:
    an `int` value

### getMaxSetNumber

    public int getMaxSetNumber()

  Get the maximum set number

  Returns:
    an `int` value

### isStructureOnly

    public boolean isStructureOnly()

  Returns true if the encapsulated instances contain just header information

  Returns:
    true if only header information is available in this DataSetEvent

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD